#define COLLEN 256

typedef struct {
  char *key;
  char *low;
  char *str;
} alfarec;

typedef struct {
  int len;
  alfarec coll[COLLEN];
} alfacoll;

void load_list(char *name, char *list[], int maxn);
void LoadColl (char *name, alfacoll *alfa);
void joinAlfa (alfacoll *alfa1, alfacoll *alfa2, alfacoll *alfa);
char *toNKey (char *s, alfacoll *alfa, int num, char *key, char *out);
void toKey (char *s, alfacoll *alfa, char *key);
int isInAlfa (char *s, alfacoll *alfa);
void to_Lower (char *s, alfacoll *alfa);
